/**\file cexp.h
*\brief Complex exponential functions. */

#ifndef CEXP_H_
#define CEXP_H_
#include "unifloat_complex.h"
#include "exp.h"

UnifloatComplex* cexp_UF(UnifloatComplex* x);
UnifloatComplex* clog_UF(UnifloatComplex* x);
UnifloatComplex* clog10_UF(UnifloatComplex* x);
UnifloatComplex* cpow_UF(UnifloatComplex* x, UnifloatComplex* y);
UnifloatComplex* csqrt_UF(UnifloatComplex* x);

#endif //CEXP_H_
