/**\file cstring.h
*\brief Auxiliary structure and functions to work with text. */

#ifndef CSTRING_H_
#define CSTRING_H_

typedef struct CString 
{
	int len;
	char* buf;
} CString;

extern long MEM;

void delete_CString(CString* cstr);

CString* create_CString(const char* buf);
CString* clone_CString(CString* cstr);
int length_CString( CString* cstr);
char charAt_CString(CString *cstr, int i);
CString* substring_CString(CString* src, int start, int len);

int indexOfChar_CString (CString* cstr, char c);

#endif //CSTRING_H_
