/**\file debug.h
*\brief Auxiliary module to help programmer to debug the library. */

#ifndef DEBUG_H_
#define DEBUG_H_

#include "config.h"
#include "unifloat.h"
#include "stdio.h"


void PRINT_InUse(void);
void PRINT_InUseComment(const char* str);
void PRINT_InUseStart(void);
void PRINT_InUseEnd(void);
void PRINT_U(const char* str, Unifloat* u);
void PRINT_ALL(const char* str, Unifloat* u);
void PRINT_I (unsigned int I);
void PRINT_C(const char* str);
#define ST PRINT_InUseStart();
#define END PRINT_InUseEnd();
extern long count;


#endif //DEBUG_H_
