#include "stdio.h"
#include "debug.h"
#include "unifloat.h"

void PRINT_InUseComment(const char* str)
{
	printf("InUse: %ld; %s\n",UnifloatsInUse, str);
}


void PRINT_InUse()
{
	printf("InUse: %ld\n",UnifloatsInUse);
}
void PRINT_InUseStart()
{
	printf("InUse at start: %ld\n",UnifloatsInUse);
	count = UnifloatsInUse;
}
void PRINT_InUseEnd()
{
	count = UnifloatsInUse - count;
	printf("InUse at end: %ld, diff=%ld\n",UnifloatsInUse, count);
}
long count = 0;

void PRINT_U(const char* str, Unifloat* u)
{
	double d = convertUnifloat_Double(u);
	printf("%s: %f\n", str, d);
}

void PRINT_C(const char* str)
{
	printf("%s\n", str);
}

void PRINT_I (unsigned int u)
{
	int i, j;
	printf("I ");
	for(i=3;i>=0;i--)
	{
		for(j=7;j>=0;j--)
			printf("%d", (u>>(j + i*8)) % 2);
		printf(" ");
	}
	printf("\n");
}


void PRINT_ALL(const char* str, Unifloat* u)
{
	//PRINT_U(str,u);
	printf("%s:\n",str);
	PRINT_I(u->mant[0]);
	PRINT_I(u->mant[1]);
	PRINT_I(u->mant[2]);
	PRINT_I(u->exp);
}

